MCP tools
set_text_size
Change the system text size.
| REST operation | act (POST /v1/devices/{deviceId}/actions) |
| Action type | setTextSize |
| Needs a device | yes |
| Read only | no |
| Profiles | testing, full |
Parameters
Section titled “Parameters”| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
device_id |
yes | string | path deviceId |
Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC. |
lease |
no | string | header Silan-Lease |
Lease token when the device is claimed. |
size |
yes | extraSmall, small, medium, large, extraLarge, accessibilityLarge, accessibilityExtraLarge |
body action.size |
|
return |
no | object | body returning |
Example call
Section titled “Example call”set_text_size({ device_id: "ios:00008120-001A2B3C4D5E6F70", size: … })